; English texts for QTYP

        section language

        xref.l  qt_vers

        include flp1_keys_k
        include flp1_wman_text_mac
        include flp1_wman_wstatus
        include flp1_config_mac

        mktits  titl,{QTYP Typing Checker}

X       equ     wsi.slct
        
 mkcfhead Qtyp,qt_vers

yesno mkcfitem code,'I',qt_initm,,,\
        {Initialise QTYP with control menu pulled down},X,,{Yes},0,,{No}
 mkcfitem code,'H',qtp_hype,,,{Hyperactive},.yesno    
onoff mkcfitem code,'W',qtp_bwrn,,qt_confw,{Warning beep on word not found}\
                            X,,{On},0,,{Off}
 mkcfitem code,'C',qtp_bchk,,qt_confc,{Checking beep every character checked}\
                            .onoff
 mkcfitem select,'B',qtp_blen,,qt_confb,{Beep length}\
                            0,S,{Short},1,M,{Medium},2,L,{Long}
 mkcfitem code,'P',qtp_bpul,,,{Pulldown window on word not found},.onoff
 mkcfitem char,'K',qt_dckey,,,{Key to invoke control menu},$100
 mkcfitem code,'E',qtp_edtr,,,{Editor mode - delete control menu key},.onoff
 mkcfitem string,'S',mxl_tfnm,,,{Supplementary word list filename}

 mkcfend

        xdef    qt_dckey
qt_dckey dc.b   'T'-'@'                  ; default control key

        xdef    qt_initm
qt_initm dc.b   X                        ; initial menu pulled down

        xdef    qt_prset
         ds.w   0
qt_prset dc.b   0,0,0,0
qtp_hype dc.b   0
         dc.b   0
qtp_blen dc.b   0,X,0
qtp_bchk dc.b   X
qtp_bwrn dc.b   X
qtp_bpul dc.b   X
         dc.b   0,0,0
qtp_edtr dc.b   0

        mkcfstr tfnm,36,{flp1_Qtyp_words}

; standard bits

        mkselk  move,k.move
        mkxstr  esc,k.cancel,{ESC}                              ; 5
        mkxstr  help,k.help,{HELP}                              ; 5

; main menu

        mkxstr  remv,'R',{Remove}                               ; 12
        mkxstr  inac,'I',{Inactive}                             ; 12
        mkxstr  hype,'H',{Hyperactive}                          ; 12
        mkxstr  file,'F',{Files}                                ; 12

        mktits  beep,{BEEP length}                              ; 30
        mkxstr  bln1,'1',{1}
        mkxstr  bln2,'2',{2}
        mkxstr  bln3,'3',{3}
        mkxstr  bepa,'C',{Checking}                             ; 16
        mkxstr  bwrn,'W',{Warning}                              ; 16

        mkxstr  pull,'P',{Pull down warning window}             ; 40

        mkxstr  save,'S',{Save }                                ; 16

        mkxstr  list,'L',{List words in dictionary}             ; 40

        xdef    met.ckey
        mkxstr  ckey,'K',{Key for control menu: CTRL @}         ; 33
        mkxstr  edtr,'E',{Editor}                               ; 6

; list menu

        mkxstr  more,'M',{More}                                 ; 7
        mktits  strt,{Start:}                                   ; 7
        mkselk  strt,'S'

; files menu

        mkxstr  newd,'N',{New standard dictionary     }         ; 40
        mkxstr  spec,'U',{Use specialist dictionary   }         ; 40
        mkxstr  ltmp,'L',{Load temporary word list    }         ; 40
        mkxstr  stmp,'S',{Save temporary word list    }         ; 40
        mkxstr  cler,'R',{Remove dictionaries and QTYP}         ; 40
        xdef    met.fmax
met.fmax equ    met.cler*3              ; longest files item

        mkiobl  stdf\
         0,0,{Give the name of the dictionary file.}            \ 40
         0,1,{Just press ENTER for the default file.}

        mkiobl  spcf\
         0,0,{Give the name of the file containing}             \ 40
         0,1,{your specialist dictionary.}

        mkiobl  tmpf\
         0,0,{Give the name of the file containing}             \ 40
         0,1,{the words to be added to the word list.}

        mkiobl  tmps\
         0,0,{Give the name of the file into which you}         \ 40
         0,1,{wish to save the temporary word list.}

        mkiobl  fnnf\
         0,0,{This file cannot be found. Use Qram}              \40
         0,1,{FILES menu to check the directory.}               ;40

        mkiobl  fniu\
         0,0,{This file is in use. Use the Qram}                \40
         0,1,{CHANNELS menu to find the job using it.}          ;40

        mkiobl  fnbd\
         0,0,{This file cannot be found or else it is}          \40
         0,1,{not a valid dictionary file.}                     ;40

        mkiobl  fner\
         0,0,{This file open gives the system error}            \40
         0,1,err
                                                            
        mkiobl  ldbd\
         0,0,{This file is not a valid dictionary.}             \40
         0,1,{Is it a word list?}                               ;40

; file exists menu

        mktits  exst,{Output file already exists.}              ;40

        mkxstr  ovrw,'O',{Overwrite}                            ;14
        mkxstr  abdn,'A',{Abandon}                              ;14

; oops

        mktext oops,{PROBLEM!}                                  ;17

        mkiobl  dius\
         0,0,{Current dictionary is in use: try QRAM}           \40
         0,1,{CHANNELS to find the job using it.}               ;40

        mkiobl  cerr\
         0,0,{Unable to clear dictionary: system error}         \40
         0,1,err

        mkiobl  ferr\
         0,0,{System error while processing file:}              \40
         0,1,err

; abort menu

        mktits  abms,{ QTYP ABORTED }           \40

        mkxstr  rstt,'R',{Restart}                              \14

; word not found menu

        xdef    met.swrd
        mkxstr  swrd,k.space,{Save}                             ; variable

; odds

        mktits  bdct,{Unable to read dictionary}                ; 35

        xdef    err_bad
err_bad dc.w    13,'unknown error'

        end
