* Draw routine for music sub-window     v0.00   Oct 1987  J.R.Oakley  QJUMP
*
*       This draws the ten lines of the stave
*
        section prog
*
        include 'flp2_demo_keys'
        include 'flp2_keys_colour'
        include 'flp2_qdos_io'
*
        xdef    med_mus
*
msdreg  reg     d1-d4
*
frame   equ     8
xpos    equ     4
ypos    equ     6
*
med_mus
        movem.l msdreg,-(sp)
        subq.l  #frame,sp
*
        move.l  #mus_swxs*65536+1,(sp)  ; size of blocks to draw
        clr.w   xpos(sp)                ; always start at left
        lea     offtab(pc),a2
        move.w  (a2)+,d4                ; number of blocks to draw
        bra.s   msd_blke
msd_blkl
        move.w  (a2)+,d0                ; get y position
        add.w   #mus_swys/2,d0          ; it's relative to the middle
        move.w  d0,ypos(sp)             ; fill it in
        moveq   #forever,d3             ; sometime...
        moveq   #green,d1               ; ...draw a green...
        move.l  sp,a1                   ; ...this size and position...
        moveq   #iow.blok,d0            ; ...block
        trap    #3
msd_blke
        dbra    d4,msd_blkl
*
        addq.w  #frame,sp
        movem.l (sp)+,msdreg
        moveq   #0,d0
        rts
*
*       Table of where to draw the lines
*
offtab
        dc.w    10
        dc.w    -10,-8,-6,-4,-2,2,4,6,8,10
*
        end
