* QPTR demo menu definitions            v0.00   Oct 1987  J.R.Oakley  QJUMP
*
        section menu
*
        include 'flp2_wman_wwork'
        include 'flp2_wman_wstatus'
        include 'flp2_wman_menu_mac'
        include 'flp2_wman_keys'
        include 'flp2_keys_colour'
        include 'flp2_demo_keys'
*
        xlayout demo                    ; start of window definition
*
        layout  a,demo,demo,litl
*
*       Information window list: there are two windows, one of them
*       informing you that this is a demo, the other with a count of
*       the number of times you've hit "BEEP".
*
        i_wlst  demo
*
        i_windw 
        size    132,30
        origin  4,2
        wattr   0,1,black       \ border is one wide, and black
                white           ; white background
        olst    demo
*
        i_windw
        size    230,10
        origin  4,60
        wattr   0,0,0           \ no border
                white           ; white background
        olst    beep
*
        i_end                   ; two information sub-windows
*
*       Information object list for first sub-window
*
        i_olst  demo
*
        i_item
        size    16*4,20         ; four big characters
        origin  0,0             ; at top left
        type    text            ; characters is text
        ink     red             ; in red
        csize   3,1             ; and BIG
        text    demo
*
        i_item
        size    6*22,10         ; 22 little characters
        origin  0,20            ; under the big ones
        type    text            ; characters is still text
        ink     black           ; in black
        csize   0,0             ; little characters
        text    ofth
*
        i_item
        size    40,20           ; big blob
        origin  80,2            ; to the right of the DEMO text
        type    blob            ; it's a blob
        pattern blak            ; with a black pattern
        spare
        spare
        blob    qjmp            ; QJUMP shaped
*
        i_end                   ; no more information objects
*
*       Information for second sub-window: since this is going to
*       change, the initial text pointer is zero.
*
        i_olst  beep
        i_item
        size    38*6,10
        origin  0,0
        type    text
        ink     black
        csize   0,0
        text    0        
*
        i_end
*
*       Loose item list: Quit to stop, All to select all menu items,
*       Beep to beep and a Move sprite
*
        l_ilst  demo
*
        l_item
        size    lxs,lys
        origin  4+(lxs+4)*0,40
        justify 0,0
        type    text
        selkey  quit
        text    quit
        item    0
        action  quit
*
        l_item
        size    lxs,lys
        origin  4+(lxs+4)*1,40
        justify 0,0
        type    text
        selkey  bepl
        text    bepl
        item    1
        action  beep
*
        l_item
        size    lxs,lys
        origin  4+(lxs+4)*2,40
        justify 0,0
        type    text
        selkey  all
        text    all
        item    2
        action  all
*
        l_item
        size    lxs,lys
        origin  4+(lxs+4)*3,40
        justify 0,0
        type    sprite
        selkey  move
        sprite  move
        item    3
        action  move
*
        l_end
*
*       Application sub-window list
*
        a_wlst  litl
        a_windw mus
        a_windw avml
        a_end
*
*       Application sub-window definition for the music sub-window:
*       this has nothing much in it.
*
        a_wdef  mus
        size    mus_swxs,mus_swys
        origin  150,2
        wattr   0                       \
                1,grey                  \ grey border
                white                   ; white paper
        sprite  mus                     ; special pointer
        setr    0                       ; no setup routine...
        draw    mus                     ; ...special draw routine...
        action  mus                     ; ...and hit routine
        ctrl    0                       ; no control routine
        ctrlmax 0,0                     ; so no control sections
        selkey  mus                     ; select the window when M is hit
        spare
*
*       The Animal/Vegetable/Mineral menu sub-window is absolutely standard
*
        a_wdef  avml
        size    232,70
        origin  4,75
        wattr   0,1,grey                \ grey border
                white                   ; white background
        sprite  0                       ; no special pointer
        setr    smen                    ; standard setup routine...
        draw    mdrw                    ; ...and draw routine...
        action  mhit                    ; ...and hit routine...
        ctrl    ctrl                    ; ...and control routine
        ctrlmax 0,2                     ; two Y control sections
        selkey  avm                     ; select on W key
        spare
*
        a_ctrl  y                       ; set up pointer to control block
        ibar    0,0                     ; no index bar
        border  0,0                     ; no index attributes...
        iattr   0,0,0,0                 ; ...at all 
        arrow   green                   ; green arrows
        bar     0,0                     ; scroll bars ain't here yet
*
        a_menu  avm                     ; this is a menu application
        border  1,black                 ; normal collection of colours
        iattr   white,green,0,0         ; unavailable
        iattr   white,black,0,0         ; available
        iattr   green,black,0,0         ; selected
        mensiz  3,4                     ; columns/rows
        soffset 0,2*1+ww.scarr          ; space for border and arrows 
        slst    avm,avm                 ; pointers to spacing lists
        ilst    0                       ; no index lists
        ilst    0
        rlst    avm                     ; pointer to menu row list
*
*       X and Y spacing lists
*
        a_slst  avm,x
        spcel   4,60                    ; the first column is this wide
        spcel   4,80                    ; the second two are a bit wider
        spcel   4,80
*
        a_slst  avm,y
        spcel   2,12                    ; various heights of row...
        spcel   2,20                    ; ...but all start 2 below the last
        spcel   2,18
        spcel   2,12
*
*       Row list
*
        a_rlst  avm
        rowel   uni,dra
        rowel   dra,nem
        rowel   nem,wom
        rowel   wom,last
*
*       Objects
*
        objel   uni
        justify 2,1
        type    text
        selkey  uni
        text    uni
        item    0
        action  0
*
        objel   
        justify 0,1
        type    text
        selkey  tri
        text    tri
        item    1
        action  0
*
        objel   
        justify -2,1
        type    text
        selkey  kry
        text    kry
        item    2
        action  0
*
        objel   dra
        justify 2,4
        type    text
        selkey  dra
        text    dra
        item    3
        action  0
*
        objel   
        justify 0,4
        type    text
        selkey  ygg
        text    ygg
        item    4
        action  0
*
        objel   
        justify -2,4
        type    text
        selkey  uno
        text    uno
        item    5
        action  0
*
        objel   nem
        justify 2,0
        type    text
        selkey  nem
        text    nem
        item    6
        action  0
*
        objel   
        justify 0,0
        type    text
        selkey  asp
        text    asp
        item    7
        action  0
*
        objel   
        justify -2,0
        type    text
        selkey  bau
        text    bau
        item    8
        action  0
*
        objel   wom
        justify 2,-1
        type    text
        selkey  wom
        text    wom
        item    9
        action  0
*
        objel   
        justify 0,-1
        type    text
        selkey  jac
        text    jac
        item    10
        action  0
*
        objel   
        justify -2,-1
        type    text
        selkey  chr
        text    chr  
        item    11
        action  0
*
        a_obje  last,avm                ; these objects use the avm status area
*
*       Define symbols and work area size in COMMON
*
        setwrk  c
*
        end
