* Sprite mainspr
*
*       Mode 4
*       +------|------+
*       |     www     |
*       |     waw     |
*       |     waw     |
*       |     waw     |
*       |wwwwwa awwwww|
*       -waaaa   aaaaw-
*       |wwwwwa awwwww|
*       |     waww    |
*       |     waw     |
*       |     waw     |
*       |     www     |
*       +------|------+
*
        section menu
        xdef    mes_main
mes_main
        dc.w    $0100,$0000
        dc.w    13,11,6,5
        dc.l    sc4_mainspr-*
        dc.l    sm4_mainspr-*
        dc.l    0
sc4_mainspr
        dc.w    $0707,$0000
        dc.w    $0505,$0000
        dc.w    $0505,$0000
        dc.w    $0505,$0000
        dc.w    $F8F8,$F8F8
        dc.w    $8080,$0808
        dc.w    $F8F8,$F8F8
        dc.w    $0505,$8080
        dc.w    $0505,$0000
        dc.w    $0505,$0000
        dc.w    $0707,$0000
sm4_mainspr
        dc.w    $0707,$0000
        dc.w    $0707,$0000
        dc.w    $0707,$0000
        dc.w    $0707,$0000
        dc.w    $FDFD,$F8F8
        dc.w    $F8F8,$F8F8
        dc.w    $FDFD,$F8F8
        dc.w    $0707,$8080
        dc.w    $0707,$0000
        dc.w    $0707,$0000
        dc.w    $0707,$0000
*
* Sprite musspr
*
*       Mode 4
*       +--|----+
*       |    a  |
*       |    aa |
*       |    a a|
*       |    a a|
*       |    a  |
*       |    a  |
*       |    a  |
*       | aaaa  |
*       -aaaaa  -
*       | aaa   |
*       +--|----+
*
        xdef    mes_mus
mes_mus
        dc.w    $0100,$0000
        dc.w    7,10,2,8
        dc.l    sc4_musspr-*
        dc.l    sm4_musspr-*
        dc.l    0
sc4_musspr
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
sm4_musspr
        dc.w    $0808,$0000
        dc.w    $0C0C,$0000
        dc.w    $0A0A,$0000
        dc.w    $0A0A,$0000
        dc.w    $0808,$0000
        dc.w    $0808,$0000
        dc.w    $0808,$0000
        dc.w    $7878,$0000
        dc.w    $F8F8,$0000
        dc.w    $7070,$0000
*
* Sprite movespr
*
*       Mode 4
*       +------|-------+
*       |aaaaaaaaaa    |
*       |awwwwwwwwa    |
*       |awwrrrrwwa    |
*       |awwrrrrwwaaaaa|
*       |awwrrwwwwwwwwa|
*       -awwwwwwwwrrwwa-
*       |aaaaawwrrrrwwa|
*       |    awwrrrrwwa|
*       |    awwwwwwwwa|
*       |    aaaaaaaaaa|
*       +------|-------+
*
        xdef    move_spr
        xdef    mes_move
mes_move
move_spr
        dc.w    $0100,$0000
        dc.w    14,10,6,5
        dc.l    sc4_movespr-*
        dc.l    sm4_movespr-*
        dc.l    0
sc4_movespr
        dc.w    $0000,$0000
        dc.w    $7F7F,$8080
        dc.w    $617F,$8080
        dc.w    $617F,$8080
        dc.w    $677F,$F8F8
        dc.w    $7F7F,$98F8
        dc.w    $0607,$18F8
        dc.w    $0607,$18F8
        dc.w    $0707,$F8F8
        dc.w    $0000,$0000
sm4_movespr
        dc.w    $FFFF,$C0C0
        dc.w    $FFFF,$C0C0
        dc.w    $FFFF,$C0C0
        dc.w    $FFFF,$FCFC
        dc.w    $FFFF,$FCFC
        dc.w    $FFFF,$FCFC
        dc.w    $FFFF,$FCFC
        dc.w    $0F0F,$FCFC
        dc.w    $0F0F,$FCFC
        dc.w    $0F0F,$FCFC
*
* Sprite qjump
*
*       Mode 4
*       +|-------------------------------+
*       -    aaa                         -
*       |  aaaaaaa                       |
*       | aaaa aaaa                      |
*       | aa     aa                      |
*       |aaa     aaa                     |
*       |aa       aa                     |
*       |aa       aa      a  a a   a     |
*       |aa       aa      a  a aa aa     |
*       |aa       aa    a a  a a a a aaa |
*       |aa       aa    a a  a a   a a  a|
*       |aa       aa    a a  a a   a a  a|
*       |aa       aa    a  aa  a   a aaa |
*       |aaa   aa aa a  a            a   |
*       | aa   aaaa   aa   aaaaaaaa  a   |
*       | aaaa  aaaaa    aaaaaaaaaaaa    |
*       |  aaaaaaaaaaaaaaaaa      aaaaaa |
*       |    aaa    aaaaaa          aaaa |
*       +|-------------------------------+
*
        xdef    meb_qjmp
meb_qjmp
        dc.w    $0100,$0000
        dc.w    32,17,0,0
        dc.l    0
        dc.l    sm4_qjump-*
        dc.l    0
sm4_qjump
        dc.w    $0E0E,$0000
        dc.w    $0000,$0000
        dc.w    $3F3F,$8080
        dc.w    $0000,$0000
        dc.w    $7B7B,$C0C0
        dc.w    $0000,$0000
        dc.w    $6060,$C0C0
        dc.w    $0000,$0000
        dc.w    $E0E0,$E0E0
        dc.w    $0000,$0000
        dc.w    $C0C0,$6060
        dc.w    $0000,$0000
        dc.w    $C0C0,$6060
        dc.w    $4A4A,$2020
        dc.w    $C0C0,$6060
        dc.w    $4B4B,$6060
        dc.w    $C0C0,$6161
        dc.w    $4A4A,$AEAE
        dc.w    $C0C0,$6161
        dc.w    $4A4A,$2929
        dc.w    $C0C0,$6161
        dc.w    $4A4A,$2929
        dc.w    $C0C0,$6161
        dc.w    $3232,$2E2E
        dc.w    $E3E3,$6969
        dc.w    $0000,$0808
        dc.w    $6363,$C6C6
        dc.w    $3F3F,$C8C8
        dc.w    $7979,$F0F0
        dc.w    $FFFF,$F0F0
        dc.w    $3F3F,$FFFF
        dc.w    $E0E0,$7E7E
        dc.w    $0E0E,$1F1F
        dc.w    $8080,$1E1E
        dc.w    $3F3F,$FFFF
        dc.w    $E0E0,$7E7E
        dc.w    $0E0E,$1F1F
        dc.w    $8080,$1E1E
        dc.w    $3F3F,$FFFF
        dc.w    $E0E0,$7E7E
        dc.w    $0E0E,$1F1F
        dc.w    $8080,$1E1E
        dc.w    $0E0E,$1F1F
        dc.w    $8080,$1E1E
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0E0E,$1F1F
        dc.w    $8080,$1E1E
        dc.w    $0000,$0000
        dc.w    $0000,$0000
        dc.w    $0000,$0000
*
* Black pattern: real economy stuff here
*
        xdef    mep_blak
mep_blak
        dc.w    $0100,$0000
        dc.w    16,1
        dc.w    0,0
        dc.l    sc4_blak-*      ; colour and next pointer are the same
        dc.l    sm4_blak-*
sc4_blak
        dc.l    0               ; next pointer is used as colour!
sm4_blak
        dc.l    $ffffffff
*
        end
